%{?nodejs_find_provides_and_requires}

%global packagename source-map-support

%global enable_tests 1

Name:		nodejs-source-map-support
Version:	0.4.14
Release:	1%{?dist}
Summary:	Fixes stack traces for files with source maps

License:	MIT
URL:		https://github.com/evanw/node-source-map-support
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(source-map)

%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
Fixes stack traces for files with source maps


%prep
%autosetup -n package

%nodejs_fixdep source-map

sed -i '1s/env //' build.js

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Apr 13 2017 Jared Smith <jsmith@fedoraproject.org> - 0.4.14-1
- Update to upstream 0.4.14 release

* Mon Aug  1 2016 Jared Smith <jsmith@fedoraproject.org> - 0.4.2-1
- Initial packaging
